ResourceType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.server.session.ResourceType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.server.session
Class ResourceType

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.authz.server.session.AuthzNamedBean
              org.hyperic.hq.authz.server.session.ResourceType

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceType

extends AuthzNamedBean

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`AuthzNamedBean.Comparator`

Constructor Summary
`ResourceType()`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getAppdefType()` Convert an authz ResourceType to appdef type.
`java.lang.String` | `getLocalizedName()`
`java.util.Collection` | `getOperations()`
`protected java.util.Collection` | `getOperationsBag()`
`Resource` | `getResource()`
`int` | `hashCode()`
`boolean` | `isSystem()`
`protected void` | `setOperationsBag(java.util.Collection val)`
`protected void` | `setResource(Resource val)`
`protected void` | `setSystem(boolean val)`

Methods inherited from class org.hyperic.hq.authz.server.session.AuthzNamedBean
`getName, getSortName, setName, setSortName`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceType

    public ResourceType()

Method Detail

### getResource

    public Resource getResource()

### setResource

    protected void setResource(Resource val)

### isSystem

    public boolean isSystem()

### setSystem

    protected void setSystem(boolean val)

### getOperationsBag

    protected java.util.Collection getOperationsBag()

### setOperationsBag

    protected void setOperationsBag(java.util.Collection val)

### getOperations

    public java.util.Collection getOperations()

### getAppdefType

    public int getAppdefType()

  Convert an authz ResourceType to appdef type. Currently only platform server and service types are supported.

  Returns:
    One of AppdefEntityConstants.APPDEF_TYPE*

### getLocalizedName

    public java.lang.String getLocalizedName()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AuthzNamedBean`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `AuthzNamedBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.